[v10.6]
1=Ulepszone skanowanie algorytmów, aby odkrywać i czyścić więcej resztek
2=Optymalizowane aktualizowanie algorytmów, aby otrzymać aktualizację dla Twoich zainstalowanych programów szybciej
3=Ulepszona obsługa wiele języków dla lepszej lokalizacji
4=Naprawione wszystkie znane błędy

[v10.5]
1=Zoptymalizowany Monitor instalacji dla bardziej kompleksowego i dokładnego monitorowania
2=Ulepszony Stan oprogramowania umożliwiający wykrywanie i naprawianie większej liczby problemów z oprogramowaniem
3=Powiększona baza danych Usuwania uporczywych programów, aby pozbyć się 130 większej ilości uporczywych programów
4=Rozszerzona baza danych, aby usunąć o 22% więcej złośliwych/reklamowych wtyczek w celu szybszego i bezpieczniejszego przeglądania
5=Naprawiono wszystkie znane błędy

[v10.4]
1=Wzmocniony algorytm skanowania pozostałości, aby znaleźć i wyczyścić więcej resztek
2=Powiększona baza danych, aby usunąć 350 więcej uporczywych programów
3=Ulepszone narzędzie do usuwania uporczywych programów, umożliwiające dokładniejsze wykrywanie programów z problemami z odinstalowywaniem
4=Ulepszenia interfejsu użytkownika
5=Naprawiono znane błędy

[v10.3]
1=Ulepszone skanowanie pozostałości, aby wyczyścić więcej plików i wpisów rejestru
2=Ulepszony silnik dezinstalacji do dokładniejszego usuwania ogromnych programów
3=Powiększona baza danych, aby usunąć 210 więcej uporczywych programów
4=Dodano obsługę maksymalizacji okna szczegółów historii dezinstalacji i dziennika instalacji
5=Naprawiono problem z rekonfiguracją aplikacji w Win 10
6=Naprawiono wszystkie znane błędy

[v10.2]
1=Ulepszone narzędzie do usuwania uporczywych programów, aby wykryć więcej problemów z odinstalowywaniem programów instalacyjnych firmy Microsoft
2=Powiększona baza danych, aby usunąć 240 więcej uporczywych programów
3=Ulepszone algorytmy skanowania pozostałości w celu wyszukania większej liczby pozostałości po odinstalowaniu programu
4=Zoptymalizowane monitorowanie instalacji dla pełniejszego dziennika instalacji podczas monitorowania aktualizacji oprogramowania
5=Lepszy interfejs Software Updater dla bardziej przyjaznego dla użytkownika doświadczenia
6=Naprawiono wszystkie znane błędy

[v10.1]
1=Nowe narzędzie, aby znacznie łatwiej usunąć uparte programy
2=Powiększona baza danych w celu usunięcia 200 bardziej upartych programów
3=Możliwość dostosowania wyświetlania potężnej dezinstalacji w menu kontekstowym
4=Możliwość dostosowania wyświetlania komponentów wykonawczych w liście programów
5=Naprawiono sporadyczny problem z niedokładnym wykrywaniem rozmiaru programu i niestabilnym monitorowaniem instalacji zbyt dużych programów
6=Naprawiono wszystkie znane błędy

[v10.0]
1=Zwiększona prędkość odinstalowywania o 50%
2=Ulepszony algorytm skanowania do skanowania o 30% więcej resztek po odinstalowaniu
3=Ulepszona zdrowie oprogramowania do obsługi nowego blokowania powiadomień o zablokowaniu powiadomień witryny
4=Ulepszony monitor instalacji do monitorowania instalacji większej liczby programów i obsługi monitorowania usług systemowych, zaplanowanych zadań i rejestracji bibliotek DLL
5=Zoptymalizowany algorytm wykrywania programów w celu dokładniejszego wykrywania rzadko używanych programów i pakietów
6=Naprawiono sporadyczne niepoprawne monity po aktualizacji niektórych programów
7=Dodano obsługę odinstalowywania ponad 40 upartych programów, takich jak MPC-HC, SpyHunter5, Avast Antivirus, Rockstar Games, IntelliJ IDEA i więcej
8=Nowo obsługuje aktualizację wielojęzycznych wersji niektórych popularnych programów, takich jak Firefox, WinRAR i Mozilla Thunderbird
9=Nowo obsługuje usuwanie wtyczek nowego Microsoft Edge (Chromium)
10=Lepszy interfejs użytkownika dla bardziej przyjaznej obsługi
11=Dwie skórki: ciemna i jasna
12=Lokalizacja: 38 języki